package opcodes

// Game application opcodes from emu_oplist.h
const (
	OP_Unknown = 0

	// Core game messages
	OP_ESInitMsg = iota + 100
	OP_ESReadyForClientsMsg
	OP_CreateZoneInstanceMsg
	OP_ZoneInstanceCreateReplyMsg
	OP_ZoneInstanceDestroyedMsg
	OP_ExpectClientAsCharacterRequest
	OP_ExpectClientAsCharacterReplyMsg
	OP_ZoneInfoMsg
	OP_DoneLoadingZoneResourcesMsg
	OP_DoneSendingInitialEntitiesMsg
	OP_DoneLoadingEntityResourcesMsg
	OP_DoneLoadingUIResourcesMsg
	OP_PredictionUpdateMsg
	OP_RemoteCmdMsg
	OP_SetRemoteCmdsMsg
	OP_GameWorldTimeMsg
	OP_MOTDMsg
	OP_ZoneMOTDMsg

	// Guild recruiting
	OP_GuildRecruitingMemberInfo
	OP_GuildRecruiting
	OP_GuildRecruitingDetails
	OP_GuildRecruitingImage

	// Avatar management
	OP_AvatarCreatedMsg
	OP_AvatarDestroyedMsg
	OP_RequestCampMsg
	OP_MapRequest
	OP_CampStartedMsg
	OP_CampAbortedMsg

	// Communication
	OP_WhoQueryRequestMsg
	OP_WhoQueryReplyMsg
	OP_MonitorReplyMsg
	OP_MonitorCharacterListMsg
	OP_MonitorCharacterListRequestMsg
	OP_ClientCmdMsg
	OP_Lottery
	OP_DispatchClientCmdMsg
	OP_DispatchESMsg

	// Updates
	OP_UpdateTargetMsg
	OP_UpdateOpportunityMsg
	OP_UpdateTargetLocMsg
	OP_UpdateSpellBookMsg
	OP_UpdateRecipeBookMsg
	OP_RequestRecipeDetailsMsg
	OP_RecipeDetailsMsg
	OP_UpdateSkillBookMsg
	OP_UpdateSkillsMsg

	// Zone management
	OP_ChangeZoneMsg
	OP_ClientTeleportRequestMsg
	OP_TeleportWithinZoneMsg
	OP_TeleportWithinZoneNoReloadMsg
	OP_MigrateClientToZoneRequestMsg
	OP_MigrateClientToZoneReplyMsg
	OP_ReadyToZoneMsg

	// Group management
	OP_RemoveClientFromGroupMsg
	OP_RemoveGroupFromGroupMsg
	OP_MakeGroupLeaderMsg
	OP_GroupCreatedMsg
	OP_GroupDestroyedMsg
	OP_GroupMemberAddedMsg
	OP_GroupMemberRemovedMsg
	OP_GroupRemovedFromGroupMsg
	OP_GroupLeaderChangedMsg
	OP_GroupSettingsChangedMsg

	// Status and control
	OP_SendLatestRequestMsg
	OP_ClearDataMsg
	OP_SetSocialMsg
	OP_ESStatusMsg
	OP_ESZoneInstanceStatusMsg
	OP_ZonesStatusRequestMsg
	OP_ZonesStatusMsg
	OP_ESWeatherRequestMsg
	OP_ESWeatherRequestEndMsg

	// Loot and items
	OP_LootItemsRequestMsg
	OP_StoppedLootingMsg

	// Character actions
	OP_SitMsg
	OP_StandMsg
	OP_SatMsg
	OP_StoodMsg

	// UI and interface
	OP_DefaultGroupOptionsRequestMsg
	OP_DefaultGroupOptionsMsg
	OP_GroupOptionsMsg
	OP_DisplayGroupOptionsScreenMsg
	OP_DisplayInnVisitScreenMsg
	OP_DumpSchedulerMsg
	OP_RequestHelpRepathMsg
	OP_UpdateMotdMsg
	OP_RequestTargetLocMsg

	// Effects and actions
	OP_PerformPlayerKnockbackMsg
	OP_PerformCameraShakeMsg
	OP_PopulateSkillMapsMsg
	OP_CancelledFeignMsg
	OP_SignalMsg

	// Skills and crafting
	OP_SkillInfoRequest
	OP_SkillInfoResponse
	OP_ShowCreateFromRecipeUIMsg
	OP_CancelCreateFromRecipeMsg
	OP_BeginItemCreationMsg
	OP_StopItemCreationMsg
	OP_ShowItemCreationProcessUIMsg
	OP_UpdateItemCreationProcessUIMsg
	OP_DisplayTSEventReactionMsg
	OP_ShowRecipeBookMsg

	// Knowledge and help
	OP_KnowledgebaseRequestMsg
	OP_KnowledgebaseResponseMsg

	// Customer service
	OP_CSTicketHeaderRequestMsg
	OP_CSTicketInfoMsg
	OP_CSTicketCommentRequestMsg
	OP_CSTicketCommentResponseMsg
	OP_CSTicketCreateMsg
	OP_CSTicketAddCommentMsg
	OP_CSTicketDeleteMsg
	OP_CSTicketChangeNotificationMsg

	// World data
	OP_WorldDataUpdateMsg
	OP_WorldDataChangeMsg
	OP_KnownLanguagesMsg

	// Client management
	OP_ClientTeleportToLocationMsg
	OP_UpdateClientPredFlagsMsg
	OP_ChangeServerControlFlagMsg
	OP_CSToolsRequestMsg
	OP_CSToolsResponseMsg

	// Transport
	OP_CreateBoatTransportsMsg
	OP_PositionBoatTransportMsg
	OP_MigrateBoatTransportMsg
	OP_MigrateBoatTransportReplyMsg

	// Debug and examination
	OP_DisplayDebugNLLPointsMsg
	OP_ExamineInfoRequestMsg

	// UI management
	OP_QuickbarInitMsg
	OP_QuickbarUpdateMsg
	OP_MacroInitMsg
	OP_MacroUpdateMsg
	OP_QuestionnaireMsg

	// Character progression
	OP_LevelChangedMsg
	OP_SpellGainedMsg
	OP_EncounterBrokenMsg
	OP_OnscreenMsgMsg
	OP_DisplayWarningMsg

	// Guild management
	OP_ModifyGuildMsg
	OP_GuildEventMsg
	OP_GuildEventAddMsg
	OP_GuildEventActionMsg
	OP_GuildEventListMsg
	OP_RequestGuildEventDetailsMsg
	OP_GuildEventDetailsMsg
	OP_RequestGuildBankEventDetailsMsg
	OP_GuildBankUpdateMsg
	OP_RewardPackMsg
	OP_RenameGuildMsg

	// Social features
	OP_ZoneToFriendRequestMsg
	OP_ZoneToFriendReplyMsg
	OP_WaypointRequestMsg
	OP_WaypointReplyMsg
	OP_WaypointSelectMsg
	OP_WaypointUpdateMsg
	OP_CharNameChangedMsg

	// Travel
	OP_ShowZoneTeleporterDestinations
	OP_SelectZoneTeleporterDestination
	OP_ReloadLocalizedTxtMsg

	// Guild membership
	OP_RequestGuildMembershipMsg
	OP_GuildMembershipResponseMsg
	OP_LeaveGuildNotifyMsg
	OP_JoinGuildNotifyMsg
	OP_RequestGuildInfoMsg
	OP_GuildBankEventListMsg

	// Character info
	OP_AvatarUpdateMsg
	OP_BioUpdateMsg
	OP_InspectPlayerMsg

	// Server management
	OP_CsCategoryRequestMsg
	OP_CsCategoryResponseMsg
	OP_KnowledgeWindowSlotMappingMsg

	// Status updates
	OP_LFGUpdateMsg
	OP_AFKUpdateMsg
	OP_AnonUpdateMsg
	OP_UpdateActivePublicZonesMsg
	OP_UnknownNpcMsg
	OP_PromoFlagsDetailsMsg

	// Trading and consignment
	OP_ConsignViewCreateMsg
	OP_ConsignViewGetPageMsg
	OP_ConsignViewReleaseMsg
	OP_UpdateDebugRadiiMsg
	OP_ConsignRemoveItemsMsg
	OP_ReportMsg
	OP_UpdateRaidMsg
	OP_ConsignViewSortMsg

	// Character features
	OP_TitleUpdateMsg
	OP_FlightPathsMsg
	OP_ClientFellMsg
	OP_ClientInDeathRegionMsg
	OP_CampClientMsg

	// Customer service tools
	OP_GetAvatarAccessRequestForCSTools
	OP_CSToolAccessResponseMsg
	OP_DeleteGuildMsg

	// Tracking
	OP_TrackingUpdateMsg
	OP_BeginTrackingMsg
	OP_StopTrackingMsg
	OP_AdvancementRequestMsg

	// Map data
	OP_MapFogDataInitMsg
	OP_MapFogDataUpdateMsg
	OP_CloseGroupInviteWindowMsg
	OP_UpdateGroupMemberDataMsg
	OP_WorldPingMsg
	OP_MoveLogUpdateMsg
	OP_OfferQuestMsg

	// Mail system
	OP_MailGetMessageMsg
	OP_MailSendMessageMsg
	OP_MailDeleteMessageMsg
	OP_MailGetHeadersReplyMsg
	OP_MailGetMessageReplyMsg
	OP_MailSendMessageReplyMsg
	OP_MailCommitSendMessageMsg
	OP_MailSendSystemMessageMsg
	OP_MailRemoveAttachFromMailMsg
	OP_WorldShutdownUpdateMsg
	OP_ClientIdleBeginMsg
	OP_ClientIdleEndMsg
	OP_DisplayMailScreenMsg
	OP_NotifyApprenticeStoppedMentoring
	OP_CorruptedClientMsg
	OP_MailEventNotificationMsg
	OP_RestartZoneMsg

	// Character transfer
	OP_CharTransferStartRequestMsg
	OP_CharTransferStartReplyMsg
	OP_CharTransferRequestMsg
	OP_CharTransferReplyMsg
	OP_CharTransferRollbackRequestMsg
	OP_CharTransferCommitRequestMsg
	OP_CharTransferRollbackReplyMsg
	OP_CharTransferCommitReplyMsg
	OP_GetCharacterSerializedRequestMsg
	OP_GetCharacterSerializedReplyMsg
	OP_CreateCharFromCBBRequestMsg
	OP_CreateCharFromCBBReplyMsg

	// Housing
	OP_HousingDataChangedMsg
	OP_HousingRestoreMsg

	// Auction system
	OP_AuctionItem
	OP_AuctionItemReply
	OP_AuctionCoin
	OP_AuctionCoinReply
	OP_AuctionCharacter
	OP_AuctionCharacterReply
	OP_AuctionCommitMsg
	OP_AuctionAbortMsg
	OP_CharTransferValidateRequestMsg
	OP_CharTransferValidateReplyMsg
	OP_CharacterLinkdeadMsg
	OP_RaceRestrictionMsg
	OP_SetInstanceDisplayNameMsg

	// EQ command system
	OP_EqHearChatCmd
	OP_EqDisplayTextCmd
	OP_EqCreateGhostCmd
	OP_EqCreateWidgetCmd
	OP_EqCreateSignWidgetCmd
	OP_EqDestroyGhostCmd
	OP_EqUpdateGhostCmd
	OP_EqSetControlGhostCmd
	OP_EqSetPOVGhostCmd
	OP_EqHearCombatCmd
	OP_EqHearSpellCastCmd
	OP_EqHearSpellInterruptCmd
	OP_EqHearSpellFizzleCmd
	OP_EqHearConsiderCmd
	OP_EqUpdateSubClassesCmd
	OP_EqCreateListBoxCmd
	OP_EqSetDebugPathPointsCmd
	OP_EqCannedEmoteCmd
	OP_EqStateCmd
	OP_EqPlaySoundCmd
	OP_EqPlaySound3DCmd
	OP_EqPlayVoiceCmd
	OP_EqHearDrowningCmd
	OP_EqHearDeathCmd
	OP_EqGroupMemberRemovedCmd
	OP_EqHearChainEffectCmd
	OP_EqReceiveOfferCmd
	OP_EqInspectPCResultsCmd
	OP_EqDrawablePathGraphCmd
	OP_EqDialogOpenCmd
	OP_EqDialogCloseCmd
	OP_EqCollectionUpdateCmd
	OP_EqCollectionFilterCmd
	OP_EqCollectionItemCmd
	OP_EqQuestJournalUpdateCmd
	OP_EqQuestJournalReplyCmd
	OP_EqQuestGroupCmd
	OP_EqUpdateMerchantCmd
	OP_EqUpdateStoreCmd
	OP_EqUpdatePlayerTradeCmd
	OP_EqHelpPathCmd
	OP_EqHelpPathClearCmd
	OP_EqUpdateBankCmd
	OP_EqExamineInfoCmd
	OP_EqCloseWindowCmd
	OP_EqUpdateLootCmd
	OP_EqJunctionListCmd
	OP_EqShowDeathWindowCmd
	OP_EqDisplaySpellFailCmd
	OP_EqSpellCastStartCmd
	OP_EqSpellCastEndCmd
	OP_EqResurrectedCmd
	OP_EqChoiceWinCmd
	OP_EqSetDefaultVerbCmd
	OP_EqInstructionWindowCmd
	OP_EqInstructionWindowCloseCmd
	OP_EqInstructionWindowGoalCmd
	OP_EqInstructionWindowTaskCmd
	OP_EqEnableGameEventCmd
	OP_EqShowWindowCmd
	OP_EqEnableWindowCmd
	OP_EqFlashWindowCmd
	OP_EqHearPlayFlavorCmd
	OP_EqUpdateSignWidgetCmd
	OP_EqDebugPVDCmd
	OP_EqShowBookCmd
	OP_EqQuestionnaireCmd
	OP_EqGetProbsCmd
	OP_EqHearHealCmd
	OP_EqChatChannelUpdateCmd
	OP_EqWhoChannelQueryReplyCmd
	OP_EqAvailWorldChannelsCmd
	OP_EqUpdateTargetCmd
	OP_EqConsignmentItemsCmd
	OP_EqStartBrokerCmd
	OP_EqMapExplorationCmd
	OP_EqStoreLogCmd
	OP_EqSpellMoveToRangeAndRetryCmd
	OP_EqUpdatePlayerMailCmd
	OP_EqFactionUpdateCmd
	OP_EQHearThreatCmd
	OP_EqHearSpellNoLandCmd
	OP_EQHearDispellCmd
	OP_EqTargetItemCmd

	// Arena and game features
	OP_ArenaGameTypesMsg
	OP_UpdateTitleCmd
	OP_UpdatePositionMsg
	OP_AttackNotAllowed
	OP_AttackAllowed
	OP_CancelSpellCast
	OP_BadLanguageFilter
	OP_DressingRoom
	OP_TraitsList
	OP_PointOfInterest
	OP_AdventureList
	OP_CharacterAchievements
	OP_RecipeList
	OP_BagOptions
	OP_AchievementUpdateMsg
	OP_PetOptions
	OP_BrokerAddBag
	OP_CharacterPet
	OP_ClearForTakeOffMsg
	OP_CharacterCurrency
	OP_TradeskillList
	OP_RecipeBook
	OP_CharacterMerc
	OP_AfterInvSpellUpdate
	OP_CharacterCreatedDungeons
	OP_CharacterHousingList
	OP_HouseItemsList
	OP_CharacterMounts
	OP_LoadCalendarEvents
	OP_LoadWelcomeWindow
	OP_DungeonMakerItemRequest
	OP_SysClient
	OP_LFGGroupSearch
	OP_MarketPlacePrices
	OP_MarketFundsUpdate
	OP_MarketAddFundsRequest
	OP_ZoneBgInstanceList
	OP_UIEvent
	OP_Launchpad
	OP_Weakness
	OP_SavageBarInitMsg
	OP_PetOptionsResponse
	OP_CurrentPet
	OP_JournalQuestStoryline
	OP_DailyObjectives
	OP_RecipeListUnknown
	OP_ClearForLandingMsg
	OP_LikeOption
	OP_HeritageMsg
	OP_OpenCharCust
	OP_PaperdollImage
	OP_ReadyForTakeOffMsg
	OP_EarlyLandingRequestMsg
	OP_SubmitCharCust
	OP_DietyAbilityWindow
)
